Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelopes.get-page-image ​

Returns an image of a page in a document for display.

Gets a page image from an envelope for display.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
documentidstringYes—The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
pagenumberstringYes—The page number being accessed.
dpistringNo—Sets the dots per inch (DPI) for the returned image.
max_heightstringNo—Sets the maximum height for the page image in pixels. The DPI is recalculated based on this setting.
max_widthstringNo—Sets the maximum width for the page image in pixels. The DPI is recalculated based on this setting.
show_changesstringNo—When true, changes display in the user interface.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
documentidstringYes—The unique ID of the document within the envelope. Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647). Tab objects have a documentId property that specifies the document on which to place the tab.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
pagenumberstringYes—The page number being accessed.
dpistringNo—Sets the dots per inch (DPI) for the returned image.
max_heightstringNo—Sets the maximum height for the page image in pixels. The DPI is recalculated based on this setting.
max_widthstringNo—Sets the maximum width for the page image in pixels. The DPI is recalculated based on this setting.
show_changesstringNo—When true, changes display in the user interface.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/pages/{pageNumber}/page_image
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/documents/{documentId}/pages/{pageNumber}/page_image
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelopes.get-page-image",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "documentid": "value",
    "envelopeid": "value"
  }
}